<?php

	defined('FULL_PATH') or die('restricted access!');

	/**
	 * Extends default LinkTagProcessor class
	 *
	 */
	class ELinkTagProcessor extends LinkTagProcessor {

		/**
		 * Adding custom processing to existing Field method
		 *
		 * @param Array $params
		 * @return string
		 */
		function FormattedField($params)
		{
			// get from parent
			$o = parent::Field($params);

			// do some custom stuff here
			$o = trim($o);

			return $o;
		}
		
	}